Qwt User's Guide: QwtDialSimpleNeedle Class Reference

Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QwtDialSimpleNeedle Class Reference

A needle for dial widgets. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtDialSimpleNeedle:
[legend]

List of all members.

## Public Types
enum | Style { Arrow, Ray }
## Public Member Functions
virtual void | draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const
const QPalette & | palette () const
| QwtDialSimpleNeedle (Style, bool hasKnob=true, const QColor &mid=Qt::gray, const QColor &base=Qt::darkGray)
virtual void | setPalette (const QPalette &)
void | setWidth (double width)
double | width () const
## Protected Member Functions
virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const

## Detailed Description

A needle for dial widgets.

The following colors are used:

- QPalette::Mid
  Pointer
- QPalette::Base
  Knob

See also:
  QwtDial, QwtCompass

## Member Enumeration Documentation

enum QwtDialSimpleNeedle::Style

Style of the needle.

Enumerator:

  Arrow | Arrow.
  Ray | A straight line from the center.

## Constructor & Destructor Documentation

QwtDialSimpleNeedle::QwtDialSimpleNeedle | ( | Style | style,
|  | bool | hasKnob = `true`,
|  | const QColor & | mid = `Qt::gray`,
|  | const QColor & | base = `Qt::darkGray`
| ) |  |

Constructor

Parameters:

  style | Style
  hasKnob | With/Without knob
  mid | Middle color
  base | Base color

## Member Function Documentation

void QwtDialNeedle::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | length,
|  | double | direction,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) |  | const`[virtual, inherited]`

Draw the needle

Parameters:

  painter | Painter
  center | Center of the dial, start position for the needle
  length | Length of the needle
  direction | Direction of the needle, in degrees counter clockwise
  colorGroup | Color group, used for painting

void QwtDialNeedle::drawKnob | ( | QPainter * | painter,
|  | double | width,
|  | const QBrush & | brush,
|  | bool | sunken
| ) |  | const`[protected, virtual, inherited]`

Draw the knob.

void QwtDialSimpleNeedle::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup
| ) |  | const`[protected, virtual]`

Draw the needle

Parameters:

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.

const QPalette & QwtDialNeedle::palette | ( |  | ) | const`[inherited]`

Returns:
  the palette of the needle.

void QwtDialNeedle::setPalette | ( | const QPalette & | palette | ) | `[virtual, inherited]`

Sets the palette for the needle.

Parameters:

  palette | New Palette

void QwtDialSimpleNeedle::setWidth | ( | double | width | ) |

Set the width of the needle

Parameters:

  width | Width

See also:
  width()

double QwtDialSimpleNeedle::width | ( |  | ) | const

Returns:
  the width of the needle

See also:
  setWidth()